Skip to main content
GET
Get the sub-resources of an event type

Path Parameters

eventType
string
required

An EPCIS event type: ObjectEvent, AggregationEvent, TransactionEvent, TransformationEvent or AssociationEvent. Any other value is 404.

Response

OK

200 body for GET /eventTypes/{eventType} and GET /epcs/{epc}.

The standard's ResourceCollection: the sub-resources one level down, for HATEOAS discovery. Both resources have exactly one, events.

@context
string[]
required

JSON-LD context; the EPCIS 2.0 context.

type
string
required

Always Collection.

Allowed value: "Collection"
member
string[]
required

The sub-resources of this resource.

Allowed value: "events"